VUEDAPageNumberPagination
Overview
Adds support for pagination metadata including column totals.
The class also overrides the default pagination query parameters so they can be customized via settings.
get_page_size
Signature
get_page_size(self, request)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| self | yes | ||
| request | yes |
Source
server/vueda/core/pagination.py:73
get_paginated_response
Signature
get_paginated_response(self, data)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| self | yes | ||
| data | yes |
Source
server/vueda/core/pagination.py:24
get_paginated_response_schema
Signature
get_paginated_response_schema(self, schema)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| self | yes | ||
| schema | yes |
Source
server/vueda/core/pagination.py:35
max_page_size
page_query_param
page_size
page_size_query_param
Source
server/vueda/core/pagination.py:11